Subject: Re: bug#30020: floating point unboxing regression in 2.2.3
From: Mark H Weaver <[email-masked]>
To: "Thompson\, David" <[email-masked]>
Cc: Andy Wingo <[email-masked]>, [email-masked]
Date: Mon, 11 Jun 2018 10:26:50 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Mark H Weaver <[email-masked]> writes:

> I did the moral equivalent of a git bisect, and found the culprit:
>
>   commit d4883307ca64a7028b9a6cd072974437306c19d3
>   Author: Andy Wingo <[email-masked]>
>   Date:   Thu Nov 30 10:41:45 2017 +0100
>
>   Minor CSE run-time optimization
>
>   * module/language/cps/cse.scm (compute-equivalent-subexpressions): Minor
>   optimization to reduce the size of equivalent expression keys, and to
>   avoid some work if an expression has no key.
>
> Fortunately, this commit can be reverted in isolation without any
> difficulty, and apparently without any negative consequences.  If a
> better solution isn't found soon, perhaps that's what we should do.

I pushed commit df93752479ab88446f5db4b1d6ebf53a85c7593f to the
stable-2.2 branch, which reverts the above commit.  I'm closing this
bug, but feel free to reopen if there are still issues to resolve.

     Thanks,
       Mark